Subject: Re: bug#1305: All code that currently beeps should use visual bell instead

From: Dmitry Gutov <[email-masked]>
Date: Wed, 21 Apr 2021 17:51:55 +0300

On 21.04.2021 17:33, Stefan Monnier wrote:
>> I think this is a bit of a mess, indeed.
>>
>> I would be in favour of fixing this by adding one or more new variables
>> with reasonable semantics.  For example, why not have a variable called
>> `alarm-bell' with these valid values:
>>
>>      - a function    call this function
>>      - `visual'      Use a visual bell
>>      - t             Ring the bell
>>      - nil           Do nothing
> Agreed, except I suggest to use slightly different names: `visual` becomes
> `ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
> `alarm-bell` becomes `ring-bell-function`.

And obsoleting the visible-bell variable?

Sounds good.

But if we're going to change the default behavior, it would (probably?) 
be weird to keep a special case in this variable for the old one.

So would 'ring-bell-visual' do what 'visible-bell' currently does, or 
will it implement one of the proposals under discussion?